> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/reflexer/reflexergenerate.md).

# ReflexerGenerate

### Description

**Action ID:** 0x95948e5d

Generate rai from a Reflexer Safe

### SDK Action

```
    const reflexerGenerateAction = new dfs.actions.reflexer.ReflexerGenerateAction(
        safeId,
        amount,
        to,
    );
```

### Contract

This is a DFS **STANDARD\_ACTION**.

**Input:**

```
    /// @param safeId Id of the safe
    /// @param amount Amount of rai to be generated
    /// @param to Address which will receive the rai
    struct Params {
        uint256 safeId;
        uint256 amount;
        address to;
    }
```

**Return value:**

```
return bytes32(borrowedAmount);
```

**Events:**

```
emit ActionEvent("ReflexerGenerate", logData);

logger.logActionDirectEvent("ReflexerGenerate", logData);

bytes memory logData = abi.encode(_safeId, _amount, _to)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/reflexer/reflexergenerate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
